
    StartupEvents.registry('palladium:abilities', (event) => {
        event.create('heroes:speed_attack')
            .icon(palladium.createItemIcon('palladium:vibranium_circuit'))
            .addProperty("attack_damage_score", "string", "Score.Board", "Scoreboard used to get player damage")
            .addProperty("division_amount", "string", "1", "Amount score will be divided")
            .addProperty("attack_range", "string", "6", "attack Aoe")


            .tick((entity, entry, holder, enabled) => {
                if (enabled) {
					const attack_score = entry.getPropertyByName('attack_damage_score');
					const divide_amount = entry.getPropertyByName('division_amount');
					const attack_range = entry.getPropertyByName('attack_range');
                    let username_name = entity.getName().getString();
                    let username = entity.username;
                    let scoreboard = Utils.server.scoreboard;
                    let scoreboard_obj = scoreboard.getObjective(entry.getPropertyByName("attack_damage_score"));
                    let score = scoreboard.getOrCreatePlayerScore(username, scoreboard_obj);
                    let value = score.getScore();
					
					entity.server.runCommandSilent("execute as " + username + " at @s run effect give @e[distance=0.01.." + attack_range + "] heroes:damage_effect 1 " + (value / divide_amount) + " true");
                }
          
			});
    });